Subject: Re: CCL:Building g03 on Opteron64 system with RedHat Enterprise

From: Bryan Putnam <bfp/at/purdue.edu>
Date: Sat, 22 Jan 2005 10:20:09 -0500 (US Eastern Standard Time)

Thanks Bernd and CCL for the information and warnings about PGI 5.2-4.
Fortunately we have a PGI 5.1 sitting around that I may unearth.

I made some progress on my problem building g03. It appears that the
supplied atlas libraries need to be rebuilt using the -fpic option if they
are to be used in building a shared library (util.so) in 64-bit mode on an
Opteron64. Another problem I had run into is that the "-tp p7"  compiler
option in the g03 makefile was resulting in 32-bit builds for all the
entries in the utility library, instead of the 64-bit which I wanted.

Thanks for your help,
Bryan

On Sat, 22 Jan 2005, Bernd Schubert wrote:

> Hi Bryan,
>
> > We're using PGI compilers 5.2-4
>
> don't use this version! 32bit G03 binaries compiled with this compiler version
> immediately crash in link101 on our our systems (debian sarge) and 64bit
> binaries will crash in rather many of the G03 test jobs. We told PGI this and
> a much worse issue and were told that we either should use version 5.1 or
> wait until February for version 6.
> With version 5.1 we could successfully compile G03 and the results of the test
> jobs are also fine. On the other hand molpro and molcas have issues with 5.1,
> but for those 5.2 works fine...
>
> >
> > If I attempt to build using the shared util.so, I get error messages that
> > the libatlas-amd64 and libf77blas-amd64 libraries need to be compiled with
>
> G03 has its own atlas libraries, are you using them? Those worked fine for us,
> though its on a debian biarch64 system.
> The PGI compiler also asks you during the installation process to install the
> blas/lapack libraries developed by AMD (ACML). Its rather easy to change the
> Makefiles to use this library. However, there's another issue with the PGI
> compiler: You need to specy the full path to the library, the usual options
> "-Lpath_to_acml -lacml" don't work. Must be something PGI and linker (ld)
> related, I couldn't find out the reason.
>
>
> Hope it helps,
>  Bernd
>